Ask Your Question
1

Error 400 on SERVER Class[Ntp]: has no parameter named 'autoupdate'

asked 2016-11-02 19:17:30 -0500

PadaPuppet gravatar image

updated 2016-11-04 15:48:04 -0500

DarylW gravatar image

Hello Everyone,

I'm using Puppet 4.5.3 and on two of my nodes I got this error :

root@nameserver:~#  puppet agent --test --verbose
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Notice: /File[/var/opt/lib/pe-puppet/lib/puppet/functions/ntp_dirname.rb]/ensure: removed
Notice: /File[/var/opt/lib/pe-puppet/lib/puppet/parser/functions/ntp_dirname.rb]/ensure: removed
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Evaluation Error: Error while evaluating a Resource Statement, Class[Ntp]: has no parameter named 'autoupdate' at /etc/puppetlabs/code/environments/production/modules/rzr/rzrbasics/manifests/init.pp:9:2 on node (nameserver)
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

On init.pp of Puppet server :

# NTP class
    class { '::ntp':
    autoupdate      => true,
    package_ensure  => latest,
    service_enable  => true,
    service_ensure  => running,
    servers         => $ntpServers

I tried to clear the cache, restart puppet service, still the same issue. I don't have this issue on others nodes. Thank you very much for your help.

PadaPuppet }

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-11-03 10:58:12 -0500

smarlow gravatar image

The latest version (6.0.0) of the puppetlabs/NTP module has no autoupdate parameter in it (see this link). It was deprecated in version 5.0.0 of the module and was replaced by package_ensure.

If you're using the latest version of the NTP module then all that you need to do to correct this is remove 'autoupdate => true' from the declaration.

You can check your module version by looking at /etc/puppetlabs/code/environments/production/modules/ntp/metadata.json and looking for the version field.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-11-02 19:17:30 -0500

Seen: 197 times

Last updated: Nov 04 '16